<gridster [options]="options">
    <gridster-item [item]="textPaneItem">
        <evt-text-pane [page]="page"></evt-text-pane>
    </gridster-item>
    <gridster-item [item]="collationPaneItem">
      <div class="collationPane" #collationPane
        [class.align-self-center]="getWitnesses().length === 0" 
        [class.empty]="getWitnesses().length === 0">
          <gridster [options]="collationOptions" *ngIf="getWitnesses().length > 0">
              <gridster-item [item]="witness.itemConfig" *ngFor="let witness of getWitnesses(); let i = index">
                <evt-witness-pane 
                  (close)="removeWitness(i)" [witness]="witness.label" [page]="page">
                </evt-witness-pane>
              </gridster-item>
          </gridster>
          <button type="button" class ="btn btn-primary shadow"
            [class.btn-float-right]="getWitnesses().length > 0"
            (click)="addWitness()">ADD WITNESS </button>
      </div> 
    </gridster-item>
</gridster>